cubrid_field_len
cubrid_field_seek
CUBRID MySQL Compatibility Functions
PHP Manual

# cubrid_field_name

(PECL CUBRID >= 8.3.0)

cubrid_field_name — Return the name of the specified field index

### Description

string cubrid_field_name ( resource `$result` , int `$field_offset` )

This function returns the name of the specified field index on success or it returns FALSE on failure.

### Parameters

`result`

  `result` comes from a call to cubrid_execute()

`field_offset`

  The numerical field offset. The `field_offset` starts at 0. If `field_offset` does not exist, an error of level `E_WARNING` is also issued.

### Return Values

Name of specified field index, on success.

`FALSE` on failure.

### Examples

Example #1 cubrid_field_name() example

`<?php
$conn = cubrid_connect("localhost", 33000, "demodb");
$result = cubrid_execute($conn, "SELECT * FROM game WHERE host_year=2004 AND nation_code='AUS' AND medal='G'");
$col_num = cubrid_num_cols($result);
printf("%-30s %s\n", "Field Name", "Field Flags");
for($i = 0; $i < $col_num; $i++) {
printf("%-30s %s\n", cubrid_field_name($result, $i), cubrid_field_flags($result, $i));
}
cubrid_disconnect($conn);
?>`

The above example will output:

    Field Name                     Field Flags
    host_year                      not_null primary_key unique_key
    event_code                     not_null primary_key unique_key foreign_key
    athlete_code                   not_null primary_key unique_key foreign_key
    stadium_code                   not_null
    nation_code
    medal
    game_date

cubrid_field_len
cubrid_field_seek
CUBRID MySQL Compatibility Functions
PHP Manual